<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <title>Maestro</title>
        <script src="/static/js/custom.js"></script>
        <script src="/static/js/htmx.min.js"></script>
        <script src="/static/js/hyperscript.min.js"></script>
        <script src="/static/js/idiomorph-ext.min.js"></script>
        <link rel="icon" type="image/x-icon" href="/static/favicon.ico" />
        <link rel="stylesheet" href="/static/css/tailwind.css" />
        <link rel="stylesheet" href="/static/css/scrollbar.css" />
        <!-- Htmx -->
    </head>
    <body hx-ext="morph">
        <div class="flex h-screen flex-col">
            {% block header %}
            {% endblock %}
            {% block count %}
            {% endblock %}
            <main
                class="mx-6 mb-5 flex-1 overflow-y-auto overflow-x-hidden border-x border-b border-gray-200"
            >
                {% block content %}
                {% endblock %}
                <!-- Hot reload -->
                {% if hotreload is defined %}
                    {{ hotreload.script(url_for('hot-reload')) | safe }}
                {% endif %}
            </main>
            {% block footer %}
            {% endblock %}
        </div>
    </body>
</html>
